package request

type UserAddReq struct {
	RealName        string `description:"姓名"`
	AreaCode        string `description:"区号"`
	Phone           string `description:"手机号"`
	Email           string `description:"邮箱"`
	SellerId        int    `description:"销售id"`
	ValidStartTime  string `description:"有效期开始时间"`
	ValidEndTime    string `description:"有效期结束时间"`
	Company         string `description:"所属公司"`
	ChartPermission []int  `description:"所选品种"`
}

type UserEidtReq struct {
	UserId          int    `description:"用户id"`
	RealName        string `description:"姓名"`
	AreaCode        string `description:"区号"`
	Phone           string `description:"手机号"`
	Email           string `description:"邮箱"`
	SellerId        int    `description:"销售id"`
	ValidStartTime  string `description:"有效期开始时间"`
	ValidEndTime    string `description:"有效期结束时间"`
	Company         string `description:"所属公司"`
	ChartPermission []int  `description:"所选品种"`
	IsEnabled       bool   `description:"是否禁用"`
}

type UserCheckReq struct {
	AreaCode string `description:"区号"`
	Phone    string `description:"手机号"`
	Email    string `description:"邮箱"`
}

type UserDeleteReq struct {
	UserId int `description:"用户id"`
}

type UserEditEnabledReq struct {
	UserId         int    `description:"用户id"`
	IsEnabled      bool   `description:"是否启用"`
	ValidStartTime string `description:"有效期开始时间"`
	ValidEndTime   string `description:"有效期结束时间"`
}
