package response

import (
	"eta/eta_mini_crm/models"
)

type SysMenuButtonResp struct {
	SysMenuId  int    `description:"菜单ID"`
	ParentId   int    `description:"父级菜单ID"`
	Name       string `description:"菜单名称或者按钮名称"`
	MenuType   int    `description:"菜单类型: 0-菜单; 1-按钮"`
	ButtonCode string `description:"按钮唯一标识"`
}

// SysMenuListResp ETA商家菜单列表响应体
type SysMenuListResp struct {
	ChoiceList     []int                 `description:"已选菜单"`
	HalfChoiceList []int                 `description:"半选菜单-方便前端回显用的"`
	List           []*models.SysMenuItem `description:"菜单列表"`
}
