package response

import (
	"eta/eta_mini_crm/models"

	"github.com/rdlucklib/rdluck_tools/paging"
)

type SysUserListResp struct {
	List   []models.SysUserView
	Paging *paging.PagingItem `description:"分页数据"`
}

type LoginResp struct {
	Authorization string
	SysUserName   string `description:"系统用户名"`
	SysRealName   string `description:"系统用户姓名"`
	SysUserId     int    `description:"系统用户id"`
	RoleName      string `description:"所属角色名称"`
	RoleId        int    `description:"所属角色id"`
}
