package request

type SysDepartmentAddReq struct {
	SysDepartmentId    int      `description:"部门id"`
	SysDepartmentNames []string `description:"部门名称"`
	Level              int      `description:"目录等级"`
}

type SysDepartmentEditReq struct {
	SysDepartmentId   int    `description:"部门ID"`
	SysDepartmentName string `description:"部门名称"`
}

type SysDepartmentDeleteReq struct {
	SysDepartmentId int `description:"部门ID"`
	Level           int `description:"目录层级"`
}

type SysDepartmentSortReq struct {
	DepartmentIds1 []int `description:"移动后的一级ID排序"`
	DepartmentIds2 []int `description:"移动后的二级ID排序"`
	DepartmentIds3 []int `description:"移动后的三级ID排序"`
}
