package request

type SysUserInfoReq struct {
	SysUserId       int    `description:"id"`
	SysUserName     string `description:"账号"`
	Password        string `description:"密码"`
	RealName        string `description:"姓名"`
	Phone           string `description:"手机号"`
	AreaCode        string `description:"区号"`
	SysDepartmentId int    `description:"部门id"`
	Email           string `description:"邮箱"`
	SysRoleId       int    `description:"角色id"`
	Province        string `description:"省"`
	City            string `description:"市"`
	IsEnabled       bool   `description:"是否启用"`
}

type ResetPasswordReq struct {
	SysUserId  int    `description:"用户id"`
	Password   string `description:"密码"`
	RePassword string `description:"重复密码"`
}

type ResetMyPasswordReq struct {
	OriginPassword string `description:"旧密码"`
	Password       string `description:"新密码"`
	RePassword     string `description:"重复密码"`
}

type SysUserEditEnabledReq struct {
	SysUserId int  `description:"用户id"`
	IsEnabled bool `description:"是否启用"`
}

type MoveToDepartmentReq struct {
	SysUserId       int `description:"用户id"`
	SysDepartmentId int `description:"部门id"`
}

type UserLoginReq struct {
	UserName string `description:"账号"`
	Password string `description:"密码"`
	ReqTime  string `description:"登录时间戳"`
}
