package response

import (
	"eta/eta_mini_crm/models"

	"github.com/rdlucklib/rdluck_tools/paging"
)

type UserListResp struct {
	List   []*models.UserView
	Paging *paging.PagingItem `description:"分页数据"`
}

type UserCheckResp struct {
	UserId int
	Status int
}

type UserChangeRecordResp struct {
	List []*models.UserChangeRecord
	// Paging *paging.PagingItem `description:"分页数据"`
}

type UserDetailResp struct {
	Detail     *models.User
	Permission map[string][]string
}
